Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## spki.demo
Class AuthorizationRequest

    java.lang.Object
      |
      +--spki.BaseObj
            |
            +--spki.demo.AuthorizationRequest

public class AuthorizationRequest
extends BaseObj

spki.demo AuthorizationRequest class.

Formal definition:

     <monitor>:: <principal> ;
     <auth-chain>:: <sequence> ;
     <nonce>:: <byte-string> ;
     <capability>:: <tag> ;
     <auth-req>:: "(" "auth-req" <monitor> <auth-chain> <nonce> <capability> ")" ;

Version:
  $Id: AuthorizationRequest.java,v 1.1 2002/07/22 11:30:20 tep Exp $
Author:
  Tep Narula <tep@win.trlabs.ca>

Field Summary
`private static String` | `__ME` This class's full name.
`private Sequence` | `auth_chain`
`private Tag` | `capability`
`private Principal` | `monitor`
`private Sexp` | `nonce`
`static String` | `SEXP_NAME`
`private Signature` | `signature`

Fields inherited from class spki.BaseObj
`__ME, cache_sexp, cached_sexp, DEFAULT_HASH_ALG, locked, SEXP_NAME`

Constructor Summary
`private` | `AuthorizationRequest()` Default constructor.
`` | `AuthorizationRequest(Principal monitor, Sequence auth_chain, Sexp nonce, Tag capability)` Construct an AuthorizationRequest object with the specified monitor's principal, authorization chain, request nonce, and capability.

Method Summary
`Sequence` | `getAuthChain()` get the authorization chain.
`Tag` | `getCapability()` get the requested capability.
`Principal` | `getMonitor()` get the monitor's princpal.
`Sexp` | `getNonce()` get the request nonce.
`Signature` | `getSignature()` get the request's signature.
`void` | `setSignature(Signature sig)` set the request's signature, signed by the requesting user.
`SExpression` | `toSExpression()` export the request to S-Expression, for signing.

Methods inherited from class spki.BaseObj
`disableSExpressionCaching, enableSExpressionCaching, extractHashAlgId, getCachedSExpression, isLocked, isSListOfType, lock, providerToSPKI, setCachedSExpression, spkiToProvider, toString`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### __ME

    private static final String __ME

  This class's full name.

### SEXP_NAME

    public static final String SEXP_NAME

### monitor

    private Principal monitor

### auth_chain

    private Sequence auth_chain

### nonce

    private Sexp nonce

### capability

    private Tag capability

### signature

    private Signature signature

Constructor Detail

### AuthorizationRequest

    private AuthorizationRequest()

  Default constructor.

### AuthorizationRequest

    public AuthorizationRequest(Principal monitor,
                                Sequence auth_chain,
                                Sexp nonce,
                                Tag capability)
                         throws SPKIException

  Construct an AuthorizationRequest object with the specified monitor's principal, authorization chain, request nonce, and capability.

Method Detail

### toSExpression

    public SExpression toSExpression()
                              throws SPKIException

  export the request to S-Expression, for signing.
  Overrides:
    toSExpression in class BaseObj
  Tags copied from interface: SPKIObject
  Returns:
    SExpression object representing this object, or `null`.
  Throws:
    SPKIException - if something went wrong during conversion.

### getMonitor

    public Principal getMonitor()

  get the monitor's princpal.

### getAuthChain

    public Sequence getAuthChain()

  get the authorization chain.

### getNonce

    public Sexp getNonce()

  get the request nonce.

### getCapability

    public Tag getCapability()

  get the requested capability.

### getSignature

    public Signature getSignature()

  get the request's signature.

### setSignature

    public void setSignature(Signature sig)
                      throws SPKIException

  set the request's signature, signed by the requesting user.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD